=== pixelmed/event/Makefile ===
PATHTOROOT = ../../..

OBJS =	ApplicationEventDispatcher.class \
	Event.class \
	EventContext.class \
	EventDispatcher.class \
	Listener.class \
	SelfRegisteringListener.class

all:	${OBJS}

include ${PATHTOROOT}/Makefile.common.mk
