=== pixelmed/network/Makefile ===
PATHTOROOT = ../../..

OBJS = \
AAbortPDU.class \
AnyExplicitTransferSyntaxSelectionPolicy.class \
AnyExplicitStorePresentationContextSelectionPolicy.class \
AnyExplicitStoreFindMoveGetPresentationContextSelectionPolicy.class \
ApplicationEntity.class \
ApplicationEntityConfigurationDialog.class \
ApplicationEntityMap.class \
AReleaseException.class \
AReleasePDU.class \
AssociateRejectPDU.class \
AssociateAcceptPDU.class \
AssociateRequestPDU.class \
AssociateRequestAcceptPDU.class \
Association.class \
AssociationAcceptor.class \
AssociationInitiator.class \
AssociationFactory.class \
AssociationOutputStream.class \
AssociationStatusHandler.class \
CEchoRequestCommandMessage.class \
CEchoResponseCommandMessage.class \
CFindRequestCommandMessage.class \
CFindResponseCommandMessage.class \
CGetRequestCommandMessage.class \
CGetResponseCommandMessage.class \
CMoveRequestCommandMessage.class \
CMoveResponseCommandMessage.class \
CommandMessage.class \
CompositeInstanceStoreAbstractSyntaxSelectionPolicy.class \
CompositeInstanceStoreFindMoveGetAbstractSyntaxSelectionPolicy.class \
CompositeResponseHandler.class \
CStoreRequestCommandMessage.class \
CStoreResponseCommandMessage.class \
DicomNetworkException.class \
FindSOPClassSCU.class \
GetSOPClassSCU.class \
IdentifierHandler.class \
IdentifierMessage.class \
MessageServiceElementCommand.class \
MoveSOPClassSCU.class \
MultipleInstanceTransferStatusHandler.class \
MultipleInstanceTransferStatusHandlerWithFileName.class \
NetworkApplicationConfigurationDialog.class \
NetworkApplicationInformation.class \
NetworkApplicationInformationFederated.class \
NetworkApplicationProperties.class \
NetworkConfigurationFromLDAP.class \
NetworkConfigurationFromMulticastDNS.class \
NetworkConfigurationSource.class \
NetworkDefaultValues.class \
NetworkMediaImporter.class \
NetworkUtilities.class \
PDataPDU.class \
PresentationAddress.class \
PresentationContext.class \
PresentationContextListFactory.class \
PresentationDataValue.class \
ProbeCapability.class \
ReceivedDataHandler.class \
ReceivedFilePathStrategy.class \
ReceivedObjectHandler.class \
RequestCommandMessage.class \
ResponseStatus.class \
SCUSCPRoleSelection.class \
StorageSOPClassSCP.class \
StorageSOPClassSCPDispatcher.class \
StorageSOPClassSCU.class \
StorageSOPClassSCUPerformanceTest.class \
TestSendingCommandAndDataInOnePDU.class \
TransferSyntaxSelectionPolicy.class \
UnencapsulatedExplicitTransferSyntaxSelectionPolicy.class \
UnencapsulatedExplicitStorePresentationContextSelectionPolicy.class \
UnencapsulatedExplicitStoreFindMoveGetPresentationContextSelectionPolicy.class \
VerificationSOPClassSCU.class

# NOT NetworkApplicationConfigurationDialog_ja.properties
TRANSFORMEDPROPERTIES = \
	ApplicationEntityConfigurationDialog_cs.properties \
	ApplicationEntityConfigurationDialog_da.properties \
	ApplicationEntityConfigurationDialog_de.properties \
	ApplicationEntityConfigurationDialog_el.properties \
	ApplicationEntityConfigurationDialog_es.properties \
	ApplicationEntityConfigurationDialog_fi.properties \
	ApplicationEntityConfigurationDialog_fr.properties \
	ApplicationEntityConfigurationDialog_hu.properties \
	ApplicationEntityConfigurationDialog_it.properties \
	ApplicationEntityConfigurationDialog_ja.properties \
	ApplicationEntityConfigurationDialog_ko.properties \
	ApplicationEntityConfigurationDialog_nl.properties \
	ApplicationEntityConfigurationDialog_no.properties \
	ApplicationEntityConfigurationDialog_pl.properties \
	ApplicationEntityConfigurationDialog_pt.properties \
	ApplicationEntityConfigurationDialog_ro.properties \
	ApplicationEntityConfigurationDialog_ru.properties \
	ApplicationEntityConfigurationDialog_sv.properties \
	ApplicationEntityConfigurationDialog_tr.properties \
	ApplicationEntityConfigurationDialog_zh_CN.properties \
	NetworkApplicationConfigurationDialog_cs.properties \
	NetworkApplicationConfigurationDialog_da.properties \
	NetworkApplicationConfigurationDialog_de.properties \
	NetworkApplicationConfigurationDialog_el.properties \
	NetworkApplicationConfigurationDialog_es.properties \
	NetworkApplicationConfigurationDialog_fi.properties \
	NetworkApplicationConfigurationDialog_fr.properties \
	NetworkApplicationConfigurationDialog_hu.properties \
	NetworkApplicationConfigurationDialog_it.properties \
	NetworkApplicationConfigurationDialog_ja.properties \
	NetworkApplicationConfigurationDialog_ko.properties \
	NetworkApplicationConfigurationDialog_nl.properties \
	NetworkApplicationConfigurationDialog_no.properties \
	NetworkApplicationConfigurationDialog_pl.properties \
	NetworkApplicationConfigurationDialog_pt.properties \
	NetworkApplicationConfigurationDialog_ro.properties \
	NetworkApplicationConfigurationDialog_ru.properties \
	NetworkApplicationConfigurationDialog_sv.properties \
	NetworkApplicationConfigurationDialog_tr.properties \
	NetworkApplicationConfigurationDialog_zh_CN.properties

all:	${OBJS} ${TRANSFORMEDPROPERTIES}

include ${PATHTOROOT}/Makefile.common.mk

clean:
	rm -f *~ *.class core *.bak \
		${TRANSFORMEDPROPERTIES}

archive:
	tar -cvf - Makefile *.java | gzip -best > ../../../network.`date '+%Y%m%d'`.tar.gz

testprobe:	ProbeCapability.class
	java -cp ${PATHTOROOT} com.pixelmed.network.ProbeCapability localhost 4006 HELGRAY US
	java -cp ${PATHTOROOT} com.pixelmed.network.ProbeCapability localhost HELGRAY US
	java -cp ${PATHTOROOT} com.pixelmed.network.ProbeCapability localhost US
	java -cp ${PATHTOROOT} com.pixelmed.network.ProbeCapability localhost

testconfig:	NetworkConfigurationFromLDAP.class ApplicationEntity.class
	java -cp ${PATHTOROOT} com.pixelmed.network.NetworkConfigurationFromLDAP

testproperties:	NetworkApplicationProperties.class
	java -cp ${PATHTOROOT} com.pixelmed.network.NetworkApplicationProperties ../server/testserver.properties "o=pixelmed,c=us"

testconfigmdns:	NetworkConfigurationFromMulticastDNS.class ApplicationEntity.class
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jmdns.jar com.pixelmed.network.NetworkConfigurationFromMulticastDNS HELGRAY 4006 WSD

testscuperf: StorageSOPClassSCUPerformanceTest.class
	dcsmpte -rows 512 -columns 512 -bits 12 /tmp/testscuperf
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jmdns.jar com.pixelmed.network.StorageSOPClassSCUPerformanceTest localhost 4007 LOCAL4007 STORESCU 0 0 0 100 10 0 0 /tmp/testscuperf
	rm /tmp/testscuperf

testscuperfactual: StorageSOPClassSCUPerformanceTest.class
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jmdns.jar com.pixelmed.network.StorageSOPClassSCUPerformanceTest localhost 4007 LOCAL4007 STORESCU 0 0 0 1 1 0 0 /largetmp/112648/Blinded

testscuperfactualtopixelmed: StorageSOPClassSCUPerformanceTest.class
	rm -f /tmp/testpixelmedsendtopixelmed.pid /tmp/testpixelmedsendtopixelmed.stdout /tmp/testpixelmedsendtopixelmed.stderr
	rm -rf /largetmp/crap
	mkdir -p /largetmp/crap
	./runprocessinbackground.sh \
		/tmp/testpixelmedsendtopixelmed.pid /tmp/testpixelmedsendtopixelmed.stdout /tmp/testpixelmedsendtopixelmed.stderr \
		java -cp ${PATHTOROOT} \
			com.pixelmed.network.StorageSOPClassSCPDispatcher 4007 LOCAL4007 /largetmp/crap
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jmdns.jar com.pixelmed.network.StorageSOPClassSCUPerformanceTest localhost 4007 LOCAL4007 STORESCU 0 0 0 1 1 0 0 /largetmp/112648/Blinded
	@kill -9 `cat /tmp/testpixelmedsendtopixelmed.pid`
	#rm /tmp/testpixelmedsendtopixelmed.pid /tmp/testpixelmedsendtopixelmed.stdout /tmp/testpixelmedsendtopixelmed.stderr

testscuperfdiscardtopixelmed: StorageSOPClassSCUPerformanceTest.class
	rm -f /tmp/testpixelmedsendtopixelmed.pid /tmp/testpixelmedsendtopixelmed.stdout /tmp/testpixelmedsendtopixelmed.stderr
	./runprocessinbackground.sh \
		/tmp/testpixelmedsendtopixelmed.pid /tmp/testpixelmedsendtopixelmed.stdout /tmp/testpixelmedsendtopixelmed.stderr \
		java -cp ${PATHTOROOT} \
			com.pixelmed.network.StorageSOPClassSCPDispatcher 4007 LOCAL4007 -
	java -cp ${PATHTOROOT}:${PATHTOADDITIONAL}/jmdns.jar com.pixelmed.network.StorageSOPClassSCUPerformanceTest localhost 4007 LOCAL4007 STORESCU 0 0 0 1 1 0 0 /largetmp/112648/Blinded
	@kill -9 `cat /tmp/testpixelmedsendtopixelmed.pid`
	#rm /tmp/testpixelmedsendtopixelmed.pid /tmp/testpixelmedsendtopixelmed.stdout /tmp/testpixelmedsendtopixelmed.stderr

testimporter:	NetworkMediaImporter.class
	mkdir -p /tmp/testimport
	dcsmpte /tmp/testimport/crap
	java -cp ${PATHTOROOT}:${COMMONSCODECADDITIONALJAR}:${BZIP2ADDITIONALJAR} \
		com.pixelmed.network.NetworkMediaImporter \
		localhost 4006 HELGRAY IMPORTER /tmp/testimport
	rm -rf /tmp/testimport

testaedialog:	ApplicationEntityConfigurationDialog.class
	java -cp ${PATHTOROOT}:${COMMONSCODECADDITIONALJAR}:${BZIP2ADDITIONALJAR} \
		com.pixelmed.network.ApplicationEntityConfigurationDialog

testconfigurator:	NetworkApplicationConfigurationDialog.class
	cp ${PATHTOROOT}/sample.com.pixelmed.display.DicomImageViewer.properties /tmp/testproperties
	java -cp ${PATHTOROOT}:${COMMONSCODECADDITIONALJAR}:${BZIP2ADDITIONALJAR} \
		com.pixelmed.network.NetworkApplicationConfigurationDialog /tmp/testproperties
	rm -f /tmp/testproperties

testconfiguratorczech:	NetworkApplicationConfigurationDialog.class ApplicationEntityConfigurationDialog_cs.properties NetworkApplicationConfigurationDialog_cs.properties
	cp ${PATHTOROOT}/sample.com.pixelmed.display.DicomImageViewer.properties /tmp/testproperties
	java -Duser.language=cs -cp ${PATHTOROOT}:${COMMONSCODECADDITIONALJAR}:${BZIP2ADDITIONALJAR} \
		com.pixelmed.network.NetworkApplicationConfigurationDialog /tmp/testproperties
	rm -f /tmp/testproperties

testconfiguratordannish:	NetworkApplicationConfigurationDialog.class ApplicationEntityConfigurationDialog_da.properties NetworkApplicationConfigurationDialog_da.properties
	cp ${PATHTOROOT}/sample.com.pixelmed.display.DicomImageViewer.properties /tmp/testproperties
	java -Duser.language=da -cp ${PATHTOROOT}:${COMMONSCODECADDITIONALJAR}:${BZIP2ADDITIONALJAR} \
		com.pixelmed.network.NetworkApplicationConfigurationDialog /tmp/testproperties
	rm -f /tmp/testproperties

testconfiguratorgerman:	NetworkApplicationConfigurationDialog.class ApplicationEntityConfigurationDialog_de.properties NetworkApplicationConfigurationDialog_de.properties
	cp ${PATHTOROOT}/sample.com.pixelmed.display.DicomImageViewer.properties /tmp/testproperties
	java -Duser.language=de -cp ${PATHTOROOT}:${COMMONSCODECADDITIONALJAR}:${BZIP2ADDITIONALJAR} \
		com.pixelmed.network.NetworkApplicationConfigurationDialog /tmp/testproperties
	rm -f /tmp/testproperties

testconfiguratorgreek:	NetworkApplicationConfigurationDialog.class ApplicationEntityConfigurationDialog_el.properties NetworkApplicationConfigurationDialog_el.properties
	cp ${PATHTOROOT}/sample.com.pixelmed.display.DicomImageViewer.properties /tmp/testproperties
	java -Duser.language=el -cp ${PATHTOROOT}:${COMMONSCODECADDITIONALJAR}:${BZIP2ADDITIONALJAR} \
		com.pixelmed.network.NetworkApplicationConfigurationDialog /tmp/testproperties
	rm -f /tmp/testproperties

testconfiguratorspanish:	NetworkApplicationConfigurationDialog.class ApplicationEntityConfigurationDialog_es.properties NetworkApplicationConfigurationDialog_es.properties
	cp ${PATHTOROOT}/sample.com.pixelmed.display.DicomImageViewer.properties /tmp/testproperties
	java -Duser.language=es -cp ${PATHTOROOT}:${COMMONSCODECADDITIONALJAR}:${BZIP2ADDITIONALJAR} \
		com.pixelmed.network.NetworkApplicationConfigurationDialog /tmp/testproperties
	rm -f /tmp/testproperties

testconfiguratorfinnish:	NetworkApplicationConfigurationDialog.class ApplicationEntityConfigurationDialog_fi.properties NetworkApplicationConfigurationDialog_fi.properties
	cp ${PATHTOROOT}/sample.com.pixelmed.display.DicomImageViewer.properties /tmp/testproperties
	java -Duser.language=fi -cp ${PATHTOROOT}:${COMMONSCODECADDITIONALJAR}:${BZIP2ADDITIONALJAR} \
		com.pixelmed.network.NetworkApplicationConfigurationDialog /tmp/testproperties
	rm -f /tmp/testproperties
