=== debian/changelog ===
pixelmed (20250211+dfsg-2) unstable; urgency=medium

  * Team upload
  * Installing files under webstart/ in the right location in pixelmed-www
    (Closes: #1100083)
  * Raising Standards version to 4.7.2 (no change)

 -- Pierre Gruet <pgt@debian.org>  Sun, 23 Mar 2025 22:02:37 +0100
